none
I have a question about deploy. RRS feed

  • Question

  • Hello,

    I have a question about deploy.

    If a client computer is window-xp, SP1 is installed continuously.
    When updating, net 3.5 sp1 is re-installed, even if it was installed already.
    Please, let me know where I make a mistake.
    Thanks.

     


    http://vsto.tistory.com
    Friday, June 17, 2011 7:21 AM

Answers

  • Hi VSTO_Beginner,

    I haven't encountered such scenario before, so I am difficult to give you the root cause of the problem.

    Could you tell me more details about how did you deploy the Add-In via ClickOnce? If you can confirm the .net 3.5 is installed in the client's computer, try to see whether it work if not adding the .net 3.5 to the prerequistes dialog list.

    I think there is never mind if the .net 3.5 framework is reinstalled, as long as this will not generate the exception.

    Best Regards,  


    Bruce Song [MSFT]
    MSDN Community Support | Feedback to us
    Get or Request Code Sample from Microsoft
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.


    • Marked as answer by VSTO_Beginner Sunday, June 26, 2011 5:59 AM
    Friday, June 24, 2011 12:32 PM

All replies

  • Hi VSTO_Beginner,

    I don't know the exact cause of the problem, but I think that there should be some changes in the registy. When updating, it detect the difference and reinstalled the .net 3.5 sp1. 

    Can you make sure the client pc is .net 3.5 sp1 not .net 3.5?

    Hope this can give you the hint.

    Best Regards,


    Bruce Song [MSFT]
    MSDN Community Support | Feedback to us
    Get or Request Code Sample from Microsoft
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    Thursday, June 23, 2011 9:39 AM
  • Thanks for your reply.

    After I deplyed an addin for the first time, sp1 was installed as well when USER installed an addin.

    But I had to correct because there were some bugs, and then I tried to deploy again.

    But it has installed sp1 again. I don't know what problem is.

    Please, help me.

     

     

     


    http://vsto.tistory.com
    Thursday, June 23, 2011 10:34 AM
  • Hi VSTO_Beginner,

    I haven't encountered such scenario before, so I am difficult to give you the root cause of the problem.

    Could you tell me more details about how did you deploy the Add-In via ClickOnce? If you can confirm the .net 3.5 is installed in the client's computer, try to see whether it work if not adding the .net 3.5 to the prerequistes dialog list.

    I think there is never mind if the .net 3.5 framework is reinstalled, as long as this will not generate the exception.

    Best Regards,  


    Bruce Song [MSFT]
    MSDN Community Support | Feedback to us
    Get or Request Code Sample from Microsoft
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.


    • Marked as answer by VSTO_Beginner Sunday, June 26, 2011 5:59 AM
    Friday, June 24, 2011 12:32 PM
  • Thanks for your reply.

     

     

     


    http://vsto.tistory.com
    Sunday, June 26, 2011 6:02 AM